/**
 * generated by Xtext 2.29.0
 */
package org.eclipse.papyrus.robotics.xtext.datatypes.dTML;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>XEnum Literal</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * </p>
 * <ul>
 *   <li>{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumLiteral#getName <em>Name</em>}</li>
 *   <li>{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumLiteral#getValue <em>Value</em>}</li>
 *   <li>{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumLiteral#getComment <em>Comment</em>}</li>
 * </ul>
 *
 * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.DTMLPackage#getXEnumLiteral()
 * @model
 * @generated
 */
public interface XEnumLiteral extends EObject
{
  /**
   * Returns the value of the '<em><b>Name</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Name</em>' attribute.
   * @see #setName(String)
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.DTMLPackage#getXEnumLiteral_Name()
   * @model
   * @generated
   */
  String getName();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumLiteral#getName <em>Name</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Name</em>' attribute.
   * @see #getName()
   * @generated
   */
  void setName(String value);

  /**
   * Returns the value of the '<em><b>Value</b></em>' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Value</em>' containment reference.
   * @see #setValue(Value)
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.DTMLPackage#getXEnumLiteral_Value()
   * @model containment="true"
   * @generated
   */
  Value getValue();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumLiteral#getValue <em>Value</em>}' containment reference.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Value</em>' containment reference.
   * @see #getValue()
   * @generated
   */
  void setValue(Value value);

  /**
   * Returns the value of the '<em><b>Comment</b></em>' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the value of the '<em>Comment</em>' attribute.
   * @see #setComment(String)
   * @see org.eclipse.papyrus.robotics.xtext.datatypes.dTML.DTMLPackage#getXEnumLiteral_Comment()
   * @model
   * @generated
   */
  String getComment();

  /**
   * Sets the value of the '{@link org.eclipse.papyrus.robotics.xtext.datatypes.dTML.XEnumLiteral#getComment <em>Comment</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Comment</em>' attribute.
   * @see #getComment()
   * @generated
   */
  void setComment(String value);

} // XEnumLiteral
